<div *ngIf="ShowFilter">
  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPage">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="formGroup" (ngSubmit)="onFormSubmit(formGroup.value)" ngNativeValidate>
        <select class='form-control' formControlName="passType">
          <option *ngFor="let passType of listPassType" value='{{passType?.passTypeId}}'>{{passType?.passTypeName}}</option>
        </select>
        <button class='form-control btn btn-primary' type='submit' (click)="onFormSubmit(formGroup.value)" [disabled]='!formGroup.valid'>Choisir
          ce type de remontées mécaniques</button>
      </form>
    </div>
  </div>

  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingDomains && passType==='1'">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="domainsForm" (ngSubmit)="selectDomain(domainsForm.value)"
        ngNativeValidate>
        <select class='form-control' formControlName="domain">
          <option *ngFor="let domain of listDomains" value='{{domain}}'>{{domain}}</option>
        </select>
        <button class='form-control btn btn-primary' type='submit' (click)="selectDomain(domainsForm.value)" [disabled]='!domainsForm.valid'>Choisir
          ce domaine</button>
      </form>
    </div>
  </div>

  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingAgeRanges">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="ageRangesForm" (ngSubmit)="selectAgeRange(ageRangesForm.value)"
        ngNativeValidate>
        <select class='form-control' formControlName="ageRange">
          <option *ngFor="let ageRange of listAgeRanges" value='{{ageRange?.ageRangeId}}'>{{ageRange?.ageRangeName}}</option>
        </select>
        <button class='form-control btn btn-primary' type='submit' (click)="selectAgeRange(ageRangesForm.value)"
          [disabled]='!ageRangesForm.valid'>Choisir
          cette tranche d'âge</button>
      </form>
    </div>
  </div>
</div>

<div *ngIf="ShowPrice">
  <div class="ContainerbtnBack">
    <button class="btn-add btn btn-circle btn-lg shadow btn-primary" appOcticons octicon="arrow-left" width="100%"
      placeholder="Retour" (click)="goBack()"></button>
  </div>
  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPricesToutSchuss">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="pricesToutSchussForm" (ngSubmit)="changePricesToutSchuss(pricesToutSchussForm.value)"
        ngNativeValidate>
        <div class="form-group row">
          <label class="col-6 col-form-label">
            1/2 journée:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="1" formControlName="priceHalfADay" [ngModel]="priceHalfADay">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">1 jour:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="2" formControlName="priceOneDay" [ngModel]="priceOneDay">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">2 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="3" formControlName="priceTwoDays" [ngModel]="priceTwoDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">3 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="4" formControlName="priceThreeDays" [ngModel]="priceThreeDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">4 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="5" formControlName="priceFourDays" [ngModel]="priceFourDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">5 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="6" formControlName="priceFiveDays" [ngModel]="priceFiveDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">6 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="7" formControlName="priceSixDays" [ngModel]="priceSixDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">7 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="8" formControlName="priceSevenDays" [ngModel]="priceSevenDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">8 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="9" formControlName="priceEightDays" [ngModel]="priceEightDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">saison:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="10" formControlName="priceSeason" [ngModel]="priceSeason">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <button class='form-control btn btn-primary' type='submit' (click)="changePricesToutSchuss(pricesToutSchussForm.value)"
          [disabled]='!pricesToutSchussForm.valid'>Modifier
          prix</button>
      </form>
    </div>
  </div>

  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPricesNordique">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="pricesNordiqueForm" (ngSubmit)="changePricesNordique(pricesNordiqueForm.value)"
        ngNativeValidate>
        <div class="form-group row">
          <label class="col-6 col-form-label">
            1/2 journée:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="1" formControlName="priceHalfADay" [ngModel]="priceHalfADay">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">1 jour:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="2" formControlName="priceOneDay" [ngModel]="priceOneDay">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">2 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="3" formControlName="priceTwoDays" [ngModel]="priceTwoDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">3 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="4" formControlName="priceThreeDays" [ngModel]="priceThreeDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">4 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="5" formControlName="priceFourDays" [ngModel]="priceFourDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">5 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="6" formControlName="priceFiveDays" [ngModel]="priceFiveDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">6 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="7" formControlName="priceSixDays" [ngModel]="priceSixDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">7 jours:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="8" formControlName="priceSevenDays" [ngModel]="priceSevenDays">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-6 col-form-label">saison:
          </label>
          <div class="col-4">
            <input type="number" step="0.1" class="form-control" id="10" formControlName="priceSeason" [ngModel]="priceSeason">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <button class='form-control btn btn-primary' type='submit' (click)="changePricesNordique(pricesNordiqueForm.value)"
          [disabled]='!pricesNordiqueForm.valid'>Modifier
          prix</button>
      </form>
    </div>
  </div>
</div>
